# $Id: xdesktopwaves.spec,v 1.4 2004/12/07 07:32:08 adrian Exp $

Name:          xdesktopwaves
Version:       1.2
Release:       1
Summary:       Simulation of water waves on the X Window System desktop
License:       GPL
Group:         Amusements/Graphics
URL:           http://xdesktopwaves.sf.net/
Source:        http://dl.sf.net/xdesktopwaves/xdesktopwaves-1.2.tar.gz
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xorg-x11-devel, desktop-file-utils

%description
xdesktopwaves is a cellular automata setting the background of your X
Window System desktop under water. Windows and mouse are like ships on
the sea. Each movement of these ends up in moving water waves. You can
even have rain and/or storm stirring up the water.

%prep
%setup -q

%build
%{__make} CFLAGS="$RPM_OPT_FLAGS -I/usr/X11R6/include" \
    LFLAGS="-L/usr/X11R6/%{_lib}" %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%{__mkdir_p} $RPM_BUILD_ROOT{%{_datadir}/applications,%{_datadir}/pixmaps}
%{__make} install BINDIR=$RPM_BUILD_ROOT%{_bindir} MAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1
%{__cp} -p %{name}.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps

cat > %{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=xdesktopwaves
Type=Application
Comment=Simulation of water waves on the X Window System desktop
Exec=xdesktopwaves
Icon=xdesktopwaves.xpm
Terminal=false
EOF

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}%{_datadir}/applications           \
  --add-category X-Fedora                              \
  --add-category Application                           \
  --add-category Graphics                              \
  %{name}.desktop


%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Wed Jan  5 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.2-1
- Make with proper LFLAGS to support /usr/X11R6/lib64 location
  (fix confirmed as necessary via Matthias Saou's package).

* Tue Dec 07 2004 Adrian Reber <adrian@lisas.de> - 0:1.2-0.fdr.1
- updated to 1.2

* Mon Nov 22 2004 Adrian Reber <adrian@lisas.de> - 0:1.0-0.fdr.1
- initial package
